[CentOS-devel] Important Conflicts: have incorrect behavior in RPM

Jeff Johnson n3npq at mac.com
Sun Mar 6 23:57:47 EST 2011


There's an issue with COnlficts: that affects all versions of rpm back to 3.0.2
that was discovered by Mancoosi SAT solvers ~15 months ago:
	Conflicts: with missing values aren't compared correctly.

The failure symptom(s) in CentOS 5.5 (and in RHEL) are (at least) these:

    error: Failed dependencies:
	glibc > 2.5 conflicts with glibc-common-2.5-49.i386
	samba-common < 0:3.1 conflicts with tdb-tools-1.1.2-51.el5.i386

Because its glibc and samba, I'm taking the trouble to report the issue here.

The issue is being tracked at
	https://bugs.launchpad.net/rpm/+bug/633208

hth

73 de Jeff


	


More information about the CentOS-devel mailing list